import Vue from 'vue'
import Router from 'vue-router'
import home from './views/Home.vue'

Vue.use(Router)

export default new Router({
  routes: [
    {
      path: '/',
      name: 'home',
      component: home
    },
    {
      path: '/analysis',
      name: 'analysis',
      // route level code-splitting
      // this generates a separate chunk (import.[hash].js) for this route
      // which is lazy-loaded when the route is visited.
      component: () => import(/* webpackChunkName: "import" */ './views/analysis.vue')
    },
    {
      path: '/import',
      name: 'import',
      // route level code-splitting
      // this generates a separate chunk (import.[hash].js) for this route
      // which is lazy-loaded when the route is visited.
      component: () => import(/* webpackChunkName: "import" */ './views/import.vue')
    },
    {
      path: '/postes',
      name: 'postes',
      // route level code-splitting
      // this generates a separate chunk (postes.[hash].js) for this route
      // which is lazy-loaded when the route is visited.
      component: () => import(/* webpackChunkName: "postes" */ './views/postes.vue')
    }
  ]
})
