import { readdir, readFile } from 'fs'
import path from 'path'
import Papa from 'papaparse'

export default {
  namespaced: true,
  state: {
    data_dir: '/home/lafrite/scripts/comptes/data/',
    csv_files: [],
    datas: {}
  },
  getters: {
    data_dir: (state) => {
      return state.data_dir
    },
    csvs: (state) => {
      return state.csv_files
    },
    datas: (state) => {
      return state.datas
    }
  },
  mutations: {
    SET_CSV_FILES: (state, { csvs }) => {
      state.csv_files = csvs
    },
    SET_DATA: (state, { data }) => {
      state.datas = data
    },
    APPEND_DATA: (state, { content }) => {
      state.datas.push(content)
    }
  },
  actions: {
    async find_csv (context) {
      try {
        readdir(context.getters.data_dir, (err, list) => {
          if (err) {
            console.log(err)
          } else {
            var csvs = list.filter(x => {
              return x.split('.').pop() === 'csv'
            })
            for (var i in csvs) {
              context.dispatch('load_csv', csvs[i])
            }
            context.commit('SET_CSV_FILES', { csvs })
          }
        })
      } catch (e) {
        console.log(e)
      }
    },
    async load_csv (context, csv) {
      readFile(path.join(context.getters.data_dir, csv), 'utf8', (err, content) => {
        if (err) {
          console.log(err)
        } else {
          var parse_config = {
            header: true
          }
          var parsed = Papa.parse(content, parse_config)
          context.commit('SET_DATA', { data: parsed })
        }
      })
    }
  }
}
